Bug 239669 - Driver Update Program - KABI whitelist missing symbols
Summary: Driver Update Program - KABI whitelist missing symbols
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jon Masters
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-10 13:32 UTC by NetApp filed bugzillas
Modified: 2008-02-20 21:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 21:36:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description NetApp filed bugzillas 2007-05-10 13:32:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; InfoPath.1)

Description of problem:
Following RHEL5 driver update program I have run a check on our .ko file (although it is built for RHEL4) and located 3 symbols that we use that are not on the KABI whitelists:
 __cond_resched , kernel_flag , __might_sleep

My 1st question is whether these symbols can be added to the whitelists .
My 2nd question is whether there are is a whitelist for RHEL4 base release and lists of kernel API changes for RHEL4 updates.  

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. XXXX
2.
3.

Actual Results:


Expected Results:


Additional info:

Comment 1 Jon Masters 2007-08-20 07:21:09 UTC
It is not possible to process this list currently, since it was generated
against a RHEL4 kernel. Please regenerate/retest against a RHEL5 kernel.

There are no lists maintained for RHEL4 that are public - the driver update
concept is new in RHEL5, to the extent that it is implemented this way. Please
feel free to ask me any further questions about it :-)

Jon.


Comment 2 Andrius Benokraitis 2008-02-20 21:36:48 UTC
This is pretty old. Closing out due to inactivity. NetApp, please let me know if
this is still an active issue.


Note You need to log in before you can comment on or make changes to this bug.